Skip to main content
POST
/
v1
/
form-templates
Create a form template
curl --request POST \
  --url https://dev.flextell.ai/api/v1/form-templates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Tenant: <x-tenant>' \
  --data '
{
  "name": "<string>",
  "is_active": true,
  "description": "<string>"
}
'
{
  "success": "<string>",
  "data": {
    "id": 123,
    "name": "<string>",
    "system_name": "<string>",
    "description": "<string>",
    "is_active": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z",
    "questions": [
      {
        "id": 123,
        "order": 123,
        "label": "<string>",
        "helper_text": "<string>",
        "question_type": "<string>",
        "required": true,
        "options": [
          {
            "id": 123,
            "label": "<string>",
            "order": 123
          }
        ],
        "visibility_rules": [
          {
            "id": 123,
            "depends_on_question_id": 123,
            "operator": "<string>",
            "value": "<string>",
            "match_type": "<string>"
          }
        ]
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Body

application/json
name
string
required

The name.

Maximum string length: 255
is_active
boolean
required

Whether the record is active.

description
string | null

The description.

Response

success
string
required
data
FormTemplateResource · object
required